Как я могу передать НЕТ для определенного обновления

Я выполняю следующие команды:

1. sudo apt-get update --fix-missing 2. sudo apt-get upgrade 

Теперь, когда я делаю второй, он говорит мне в определенный момент позже в процессе установки:

 Setting up openjdk-6-jre-headless (6b40-1.13.12-0ubuntu0.12.04.1) ... Configuration file `/etc/java-6-openjdk/security/java.security' ==> Modified (by you or by a script) since installation. ==> Package distributor has shipped an updated version. What would you like to do about it ? Your options are: Y or I : install the package maintainer's version N or O : keep your currently-installed version D : show the differences between the versions Z : start a shell to examine the situation The default action is to keep your current version. *** java.security (Y/I/N/O/D/Z) [default=N] ? 

Я хочу передать N только для таких случаев. Как передать этот флаг?

2 Solutions collect form web for “Как я могу передать НЕТ для определенного обновления”

У вас есть --assume-no параметры в apt-get .

Попробуйте что-нибудь вроде

 sudo apt-get --assume-no upgrade <package-name> 

Детали:

На странице руководства apt-get (Вы также можете обратиться к странице руководства с командой man apt-get ):

–assume-нет

Автоматическое «нет» для всех запросов. Элемент конфигурации: APT :: Get :: Предположите-Нет.

В отличие от этого параметра, вы также имеете

-y, –yes, –assume-yes

Автоматическое да для подсказок. Предположим, что «да» в качестве ответа на все запросы и выполняются не интерактивно. Если возникает нежелательная ситуация, например, изменение удерживаемого пакета или удаление необходимого пакета, apt-get будет прерван. Элемент конфигурации: APT :: Get :: Предположим-Да.

use --assume-no параметр в таких случаях.

  • обновлен до Ubuntu 13.04 Server, до-релиз-обновление все еще показывает
  • pkg upgrade сломал X-сервер на FreeBSD ((II) NVIDIA (0): проверенные метамоды: «NULL»)
  • Установка openjdk-7-jdk не обновляет java (это еще версия 1.6)
  • Debian offline dist-upgrade за один шаг
  • обновление GNU libc (Debian Sid)
  • Обновите 32-разрядную установку RHEL до 64-разрядной версии
  • Обновление Ruby не работает с использованием двух методов
  • Ядерная паника после перехода от хриплых к jessie
  • проблема с сетью после обновления от Debian Jessie до Stretch
  • Сохранены ли настройки браузера (firefox) / пароли при обновлении Ubuntu 14.04 до 16.04?
  • Модернизация Wheezy -> Jessie Не удалось установить procps
  • Linux и Unix - лучшая ОС в мире.